# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libX11-devel libXext-devel
# END SourceDeps(oneline)
Summary:       A 4-oscillator subtractive polyphonic synthesizer
Name:          synthv1
Version:       0.3.2
Release:       alt1_1
URL:           http://sourceforge.net/projects/%{name}
Source0:       http://downloads.sourceforge.net/project/%{name}/0.1.0/%{name}-%{version}.tar.gz
Patch0:        synthv1-64bitarchs.patch
License:       GPLv2+
Group:         Sound
Requires:      icon-theme-hicolor

BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: qt4-devel
BuildRequires: lv2-devel >= 1.2.0
BuildRequires: autoconf
BuildRequires: desktop-file-utils
Source44: import.info

%description
%{name} is a 4-oscillator subtractive polyphonic synthesizer with stereo fx.

%package -n lv2-%{name}
Summary:       An LV2 port of synthv1 
Group:         Sound
Requires:      lv2

%description -n lv2-%{name}
An LV2 plugin of the synthv1 subtractive synthesizer

%prep
%setup -q 
sed -i -e 's|-msse -mfpmath=sse -ffast-math|%{optflags} -fPIC|' synthv1_lv2.pro
sed -i -e 's|-msse -mfpmath=sse -ffast-math|%{optflags} -fPIC|' synthv1_jack.pro
%patch0 -p1 -b .64bitarchs

%build
%configure 
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libdir}/lv2/%{name}.lv2/%{name}.so

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files 
%doc COPYING AUTHORS README 
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}_jack

%files -n lv2-%{name}
%{_libdir}/lv2/%{name}.lv2/

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_1
- initial fc import

